<div class="ui tiny modal form">
  <i class="close icon"></i>
  <div class="header">
    <%= @ticket.assigned_to_id.blank? ? 'Asignar ticket' : 'Reasignar ticket' %>
  </div>
  <div class="content">
    <%= form_for @ticket, url: assign_admin_support_ticket_path(id: @ticket), remote: true, method: :post do |form| %>

      <%= error_message(@ticket) %>

      <%= form.hidden_field :status, value: 'En proceso' %>

      <%= form.select(:assigned_to_id,
                      Admin::User::User.where(role_id: [3, 6, 7]).collect {|user| ["#{user.identification_number.upcase} - #{user.full_name.upcase}", user.id]}.sort,
                      {prompt: 'Seleccione una opcion'}, {class: 'searchDropdown ui fluid search selection dropdown'}) %>

      <div class="hr-divider"></div>

      <div class="ui one column stackable grid">
        <div class="column">
          <%= form.submit 'Guardar', class: 'ui fluid green button', data: {confirm: '¿Esta seguro de esta información?'} %>
        </div>
      </div>

    <% end %>
  </div>

</div>

<script>
  $('.searchDropdown').dropdown({showOnFocus: false, fullTextSearch: true, clearable: true, placeholder: 'Seleccione una opción', minCharacters: 3});
</script>
